[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# ErrorProc

Custom error handling procedure.

## Declaration

Source position: systemh.inc line 1155

`const ErrorProc: TErrorProc = Nil;`

## Description

If set, the ErrorProc constant is used when a run-time error occurs. If it is not set, then the standard error handling is done: a stack dump is performed, and the program exits with the indicated error code.

The SysUtils unit sets this procedure and raises an exception in its handler.

## See also

TErrorProc |  | Standard error handler procedural type.
Halt |  | Stop program execution.

Documentation generated on: Feb 26 2014